package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_order_meituan
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderMeituan implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 子订单号
     */
    private String childOrderNo;

    /**
     * 交易号，每笔支付的唯一标识，需要以此字段做幂等处理
     */
    private String tradeNo;

    /**
     * 美团企业版订单号
     */
    private String sqtBizOrderId
sqtBizOrderId;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 一级业务类型编码
     */
    private String firstBusinessType;

    /**
     * 二级业务类型编码
     */
    private String secondBusinessType;

    /**
     * 商品id
     */
    private Long entId;

    /**
     * 图片
     */
    private String img;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 日志查询 ID
     */
    private String traceId;

    /**
     * 商品数量
     */
    private Integer goodsCount;

    /**
     * 交易金额
     */
    private BigDecimal totalPrice;

    /**
     * 总优惠金额（优惠券优惠金额 + 积分抵扣）
     */
    private BigDecimal totalDeductionPrice;

    /**
     * 优惠券优惠金额
     */
    private BigDecimal couponDiscountPrice;

    /**
     * 积分抵扣优惠金额
     */
    private Long integralDiscountPrice;

    /**
     * 登录平台code
     */
    private String platformCode;

    /**
     * 实付金额
     */
    private BigDecimal payRealPrice;

    /**
     * 企业待支付金额（不含服务费），单位元
     */
    private BigDecimal entPayAmount;

    /**
     * 优惠承担支付金额，单位元；NULL 代表无优惠承担金额
     */
    private BigDecimal businessDiscountPayAmount;

    /**
     * 随单服务费（空值表示没有服务费），单位元，支持小数点后两位
     */
    private BigDecimal serviceFeeAmount;

    /**
     * 支付渠道与bs_order订单表同步
     */
    private Integer payChannel;

    /**
     * 客户支付流水号
     */
    private String paySerialNo;

    /**
     * 支付方式与bs_order订单表同步
     */
    private Integer payType;

    /**
     * 1:待发货 2:已发货 3：配送中 4：已送达 5：已取消 6：退货中 7：已退货 8：待支付 0:删除
     */
    private Integer status;

    /**
     * 支付状态
0 待支付
1 支付成功
2 支付失败
10 支付超时关单
     */
    private Integer meituanStatus;

    /**
     * 员工信息
     */
    private String staffInfo;

    /**
     * 业务信息字段，为各品类（一级业务类型编码）业务信息 JSON 序列化后的字符串
     */
    private String businessInfo;

    /**
     * 交易关单时间，格式 yyyy-MM-dd hh:mm:ss，超过关单时间后客户平台不应再允许用户支付成功或通知美团企业版交易支付成功
     */
    private Date tradeExpiringTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 异常状态  0：正常  1：异常
     */
    private Boolean exceptionStatus;

    /**
     * 异常内容
     */
    private String exceptionMsg;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getChildOrderNo() {
        return childOrderNo;
    }

    public void setChildOrderNo(String childOrderNo) {
        this.childOrderNo = childOrderNo;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getSqtBizOrderId
sqtBizOrderId() {
        return sqtBizOrderId
sqtBizOrderId;
    }

    public void setSqtBizOrderId
sqtBizOrderId(String sqtBizOrderId
sqtBizOrderId) {
        this.sqtBizOrderId
sqtBizOrderId = sqtBizOrderId
sqtBizOrderId;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getFirstBusinessType() {
        return firstBusinessType;
    }

    public void setFirstBusinessType(String firstBusinessType) {
        this.firstBusinessType = firstBusinessType;
    }

    public String getSecondBusinessType() {
        return secondBusinessType;
    }

    public void setSecondBusinessType(String secondBusinessType) {
        this.secondBusinessType = secondBusinessType;
    }

    public Long getEntId() {
        return entId;
    }

    public void setEntId(Long entId) {
        this.entId = entId;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getTraceId() {
        return traceId;
    }

    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    public Integer getGoodsCount() {
        return goodsCount;
    }

    public void setGoodsCount(Integer goodsCount) {
        this.goodsCount = goodsCount;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalDeductionPrice() {
        return totalDeductionPrice;
    }

    public void setTotalDeductionPrice(BigDecimal totalDeductionPrice) {
        this.totalDeductionPrice = totalDeductionPrice;
    }

    public BigDecimal getCouponDiscountPrice() {
        return couponDiscountPrice;
    }

    public void setCouponDiscountPrice(BigDecimal couponDiscountPrice) {
        this.couponDiscountPrice = couponDiscountPrice;
    }

    public Long getIntegralDiscountPrice() {
        return integralDiscountPrice;
    }

    public void setIntegralDiscountPrice(Long integralDiscountPrice) {
        this.integralDiscountPrice = integralDiscountPrice;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public BigDecimal getEntPayAmount() {
        return entPayAmount;
    }

    public void setEntPayAmount(BigDecimal entPayAmount) {
        this.entPayAmount = entPayAmount;
    }

    public BigDecimal getBusinessDiscountPayAmount() {
        return businessDiscountPayAmount;
    }

    public void setBusinessDiscountPayAmount(BigDecimal businessDiscountPayAmount) {
        this.businessDiscountPayAmount = businessDiscountPayAmount;
    }

    public BigDecimal getServiceFeeAmount() {
        return serviceFeeAmount;
    }

    public void setServiceFeeAmount(BigDecimal serviceFeeAmount) {
        this.serviceFeeAmount = serviceFeeAmount;
    }

    public Integer getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(Integer payChannel) {
        this.payChannel = payChannel;
    }

    public String getPaySerialNo() {
        return paySerialNo;
    }

    public void setPaySerialNo(String paySerialNo) {
        this.paySerialNo = paySerialNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getMeituanStatus() {
        return meituanStatus;
    }

    public void setMeituanStatus(Integer meituanStatus) {
        this.meituanStatus = meituanStatus;
    }

    public String getStaffInfo() {
        return staffInfo;
    }

    public void setStaffInfo(String staffInfo) {
        this.staffInfo = staffInfo;
    }

    public String getBusinessInfo() {
        return businessInfo;
    }

    public void setBusinessInfo(String businessInfo) {
        this.businessInfo = businessInfo;
    }

    public Date getTradeExpiringTime() {
        return tradeExpiringTime;
    }

    public void setTradeExpiringTime(Date tradeExpiringTime) {
        this.tradeExpiringTime = tradeExpiringTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getExceptionStatus() {
        return exceptionStatus;
    }

    public void setExceptionStatus(Boolean exceptionStatus) {
        this.exceptionStatus = exceptionStatus;
    }

    public String getExceptionMsg() {
        return exceptionMsg;
    }

    public void setExceptionMsg(String exceptionMsg) {
        this.exceptionMsg = exceptionMsg;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderMeituan other = (BsOrderMeituan) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getChildOrderNo() == null ? other.getChildOrderNo() == null : this.getChildOrderNo().equals(other.getChildOrderNo()))
            && (this.getTradeNo() == null ? other.getTradeNo() == null : this.getTradeNo().equals(other.getTradeNo()))
            && (this.getSqtBizOrderId
sqtBizOrderId() == null ? other.getSqtBizOrderId
sqtBizOrderId() == null : this.getSqtBizOrderId
sqtBizOrderId().equals(other.getSqtBizOrderId
sqtBizOrderId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserPhone() == null ? other.getUserPhone() == null : this.getUserPhone().equals(other.getUserPhone()))
            && (this.getFirstBusinessType() == null ? other.getFirstBusinessType() == null : this.getFirstBusinessType().equals(other.getFirstBusinessType()))
            && (this.getSecondBusinessType() == null ? other.getSecondBusinessType() == null : this.getSecondBusinessType().equals(other.getSecondBusinessType()))
            && (this.getEntId() == null ? other.getEntId() == null : this.getEntId().equals(other.getEntId()))
            && (this.getImg() == null ? other.getImg() == null : this.getImg().equals(other.getImg()))
            && (this.getGoodsName() == null ? other.getGoodsName() == null : this.getGoodsName().equals(other.getGoodsName()))
            && (this.getTraceId() == null ? other.getTraceId() == null : this.getTraceId().equals(other.getTraceId()))
            && (this.getGoodsCount() == null ? other.getGoodsCount() == null : this.getGoodsCount().equals(other.getGoodsCount()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getTotalDeductionPrice() == null ? other.getTotalDeductionPrice() == null : this.getTotalDeductionPrice().equals(other.getTotalDeductionPrice()))
            && (this.getCouponDiscountPrice() == null ? other.getCouponDiscountPrice() == null : this.getCouponDiscountPrice().equals(other.getCouponDiscountPrice()))
            && (this.getIntegralDiscountPrice() == null ? other.getIntegralDiscountPrice() == null : this.getIntegralDiscountPrice().equals(other.getIntegralDiscountPrice()))
            && (this.getPlatformCode() == null ? other.getPlatformCode() == null : this.getPlatformCode().equals(other.getPlatformCode()))
            && (this.getPayRealPrice() == null ? other.getPayRealPrice() == null : this.getPayRealPrice().equals(other.getPayRealPrice()))
            && (this.getEntPayAmount() == null ? other.getEntPayAmount() == null : this.getEntPayAmount().equals(other.getEntPayAmount()))
            && (this.getBusinessDiscountPayAmount() == null ? other.getBusinessDiscountPayAmount() == null : this.getBusinessDiscountPayAmount().equals(other.getBusinessDiscountPayAmount()))
            && (this.getServiceFeeAmount() == null ? other.getServiceFeeAmount() == null : this.getServiceFeeAmount().equals(other.getServiceFeeAmount()))
            && (this.getPayChannel() == null ? other.getPayChannel() == null : this.getPayChannel().equals(other.getPayChannel()))
            && (this.getPaySerialNo() == null ? other.getPaySerialNo() == null : this.getPaySerialNo().equals(other.getPaySerialNo()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getMeituanStatus() == null ? other.getMeituanStatus() == null : this.getMeituanStatus().equals(other.getMeituanStatus()))
            && (this.getStaffInfo() == null ? other.getStaffInfo() == null : this.getStaffInfo().equals(other.getStaffInfo()))
            && (this.getBusinessInfo() == null ? other.getBusinessInfo() == null : this.getBusinessInfo().equals(other.getBusinessInfo()))
            && (this.getTradeExpiringTime() == null ? other.getTradeExpiringTime() == null : this.getTradeExpiringTime().equals(other.getTradeExpiringTime()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getCancelTime() == null ? other.getCancelTime() == null : this.getCancelTime().equals(other.getCancelTime()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExceptionStatus() == null ? other.getExceptionStatus() == null : this.getExceptionStatus().equals(other.getExceptionStatus()))
            && (this.getExceptionMsg() == null ? other.getExceptionMsg() == null : this.getExceptionMsg().equals(other.getExceptionMsg()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getChildOrderNo() == null) ? 0 : getChildOrderNo().hashCode());
        result = prime * result + ((getTradeNo() == null) ? 0 : getTradeNo().hashCode());
        result = prime * result + ((getSqtBizOrderId
sqtBizOrderId() == null) ? 0 : getSqtBizOrderId
sqtBizOrderId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserPhone() == null) ? 0 : getUserPhone().hashCode());
        result = prime * result + ((getFirstBusinessType() == null) ? 0 : getFirstBusinessType().hashCode());
        result = prime * result + ((getSecondBusinessType() == null) ? 0 : getSecondBusinessType().hashCode());
        result = prime * result + ((getEntId() == null) ? 0 : getEntId().hashCode());
        result = prime * result + ((getImg() == null) ? 0 : getImg().hashCode());
        result = prime * result + ((getGoodsName() == null) ? 0 : getGoodsName().hashCode());
        result = prime * result + ((getTraceId() == null) ? 0 : getTraceId().hashCode());
        result = prime * result + ((getGoodsCount() == null) ? 0 : getGoodsCount().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getTotalDeductionPrice() == null) ? 0 : getTotalDeductionPrice().hashCode());
        result = prime * result + ((getCouponDiscountPrice() == null) ? 0 : getCouponDiscountPrice().hashCode());
        result = prime * result + ((getIntegralDiscountPrice() == null) ? 0 : getIntegralDiscountPrice().hashCode());
        result = prime * result + ((getPlatformCode() == null) ? 0 : getPlatformCode().hashCode());
        result = prime * result + ((getPayRealPrice() == null) ? 0 : getPayRealPrice().hashCode());
        result = prime * result + ((getEntPayAmount() == null) ? 0 : getEntPayAmount().hashCode());
        result = prime * result + ((getBusinessDiscountPayAmount() == null) ? 0 : getBusinessDiscountPayAmount().hashCode());
        result = prime * result + ((getServiceFeeAmount() == null) ? 0 : getServiceFeeAmount().hashCode());
        result = prime * result + ((getPayChannel() == null) ? 0 : getPayChannel().hashCode());
        result = prime * result + ((getPaySerialNo() == null) ? 0 : getPaySerialNo().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getMeituanStatus() == null) ? 0 : getMeituanStatus().hashCode());
        result = prime * result + ((getStaffInfo() == null) ? 0 : getStaffInfo().hashCode());
        result = prime * result + ((getBusinessInfo() == null) ? 0 : getBusinessInfo().hashCode());
        result = prime * result + ((getTradeExpiringTime() == null) ? 0 : getTradeExpiringTime().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getCancelTime() == null) ? 0 : getCancelTime().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExceptionStatus() == null) ? 0 : getExceptionStatus().hashCode());
        result = prime * result + ((getExceptionMsg() == null) ? 0 : getExceptionMsg().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", childOrderNo=").append(childOrderNo);
        sb.append(", tradeNo=").append(tradeNo);
        sb.append(", sqtBizOrderId
sqtBizOrderId=").append(sqtBizOrderId
sqtBizOrderId);
        sb.append(", merId=").append(merId);
        sb.append(", merName=").append(merName);
        sb.append(", userId=").append(userId);
        sb.append(", userPhone=").append(userPhone);
        sb.append(", firstBusinessType=").append(firstBusinessType);
        sb.append(", secondBusinessType=").append(secondBusinessType);
        sb.append(", entId=").append(entId);
        sb.append(", img=").append(img);
        sb.append(", goodsName=").append(goodsName);
        sb.append(", traceId=").append(traceId);
        sb.append(", goodsCount=").append(goodsCount);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", totalDeductionPrice=").append(totalDeductionPrice);
        sb.append(", couponDiscountPrice=").append(couponDiscountPrice);
        sb.append(", integralDiscountPrice=").append(integralDiscountPrice);
        sb.append(", platformCode=").append(platformCode);
        sb.append(", payRealPrice=").append(payRealPrice);
        sb.append(", entPayAmount=").append(entPayAmount);
        sb.append(", businessDiscountPayAmount=").append(businessDiscountPayAmount);
        sb.append(", serviceFeeAmount=").append(serviceFeeAmount);
        sb.append(", payChannel=").append(payChannel);
        sb.append(", paySerialNo=").append(paySerialNo);
        sb.append(", payType=").append(payType);
        sb.append(", status=").append(status);
        sb.append(", meituanStatus=").append(meituanStatus);
        sb.append(", staffInfo=").append(staffInfo);
        sb.append(", businessInfo=").append(businessInfo);
        sb.append(", tradeExpiringTime=").append(tradeExpiringTime);
        sb.append(", createTime=").append(createTime);
        sb.append(", payTime=").append(payTime);
        sb.append(", cancelTime=").append(cancelTime);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", exceptionStatus=").append(exceptionStatus);
        sb.append(", exceptionMsg=").append(exceptionMsg);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}